Subject: Re: bug#66885: 29.1; gnus search with mu always returns empty

From: Britt Anderson <[email-masked]>
Date: Wed, 01 Nov 2023 15:28:41 -0400

Copy and pasted the terminal output. mu is not expanding the 'tilde' in
"--muhome", but if I use the full path, then I do get a list of files
returned. However the error in the first form is not an empty search but
a database detection error. 

Here are the two versions:

britt@joy ~]$ mu find --nocolor --muhome=~/.cache/mu from:"eric abrahamsen" --format=plain --fields=l
Couldn't detect type of database
[britt@joy ~]$ mu find --nocolor --muhome=/home/britt/.cache/mu from:"eric abrahamsen" --format=plain --fields=l
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484828.9058_11546.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484831.9058_11566.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484834.9058_11591.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484839.9058_11615.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484842.9058_11638.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484843.9058_11640.joy:2,S
/home/britt/.local/share/mail/uwaterloo.ca/britt/archives/y2022/cur/1686484858.9058_11707.joy:2,S

Regards, Britt

Eric Abrahamsen <[email-masked]> writes:

> Britt Anderson <[email-masked]> writes:
>
>> Using gnus and the mu search engine always returns an empty search. This
>> is despite the fact that mu on the command line works, and that search
>> in mu4e works.
>
> Thanks for the report.
>
>> I noted that there was a bug report for something similar in #54162 for
>> notmuch search, but that was apparently due to an empty server name,
>> which is not the case for me.
>>
>> I will note that if I run from the command line a command like:
>>
>> mu find --clearlinks --format=links --linksdir=/home/britt/.local/share/mail/search/ 55214
>
> Gnus' code will construct a command line like this:
>
> mu find --nocolor --muhome=~/.cache/mu <QUERY HERE> --format=plain --fields=l
>
> Would you try running this with a sample query, and sending a sample
> output (I hope it's just a list of file names). That should help narrow
> down whether it's a problem sending the query in, or a problem parsing
> the output.
>
> Thanks,
> Eric

-- 
Britt Anderson
Kitchener, ON CA; Paris France